package cn.com.infosec.crypto.params;

import cn.com.infosec.util.Arrays;

public class DHValidationParameters {
   private byte[] seed;
   private int counter;

   public DHValidationParameters(byte[] seed, int counter) {
      this.seed = seed;
      this.counter = counter;
   }

   public int getCounter() {
      return this.counter;
   }

   public byte[] getSeed() {
      return this.seed;
   }

   public boolean equals(Object o) {
      if (!(o instanceof DHValidationParameters)) {
         return false;
      } else {
         DHValidationParameters o1;
         return (o1 = (DHValidationParameters)o).counter != this.counter ? false : Arrays.areEqual(this.seed, o1.seed);
      }
   }

   public int hashCode() {
      return this.counter ^ Arrays.hashCode(this.seed);
   }
}
